
%global _vpath_srcdir .
%global _vpath_builddir %{_target_platform}

# brp-python-bytecompile is ran with python2 by default
%global __python %{__python3}
%global appid io.github.Pithos

Name:           pithos
Version:        1.4.1
Release:        7%{?dist}
Summary:        A Pandora client for the GNOME Desktop

Group:          Applications/Multimedia
License:        GPLv3
URL:            https://pithos.github.io/
Source0:        https://github.com/pithos/pithos/releases/download/%{version}/pithos-%{version}.tar.xz


BuildArch:      noarch
BuildRequires:  python36-devel >= 3.4
BuildRequires:  meson >= 0.40.0
BuildRequires:  glib2-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  libappstream-glib
BuildRequires:  gettext

Requires:       gtk3
Requires:       libsecret
Requires:       python36-gobject-base
Requires:       python36-cairo
Requires:       hicolor-icon-theme
# HTTP support
Requires:       gstreamer1-plugins-good
# MP3
Requires:       gstreamer1-plugin-mpg123
# AACPlus (faad)
Requires:       gstreamer1-plugins-bad-freeworld
# Last.fm plugin
#Recommends:     python3-pylast
# Keybinder plugin on DEs other than Gnome/Mate
Requires:     keybinder3
# Notification Icon plugin on some DEs
Requires:       libappindicator-gtk3

%description
Pithos is a easy to use native Pandora Radio client that is more lightweight
than the pandora.com web client and integrates with the desktop.
It supports most functionality of pandora.com such as rating songs,
creating/managing stations, quickmix, etc. On top of that it has features such
as last.fm scrobbling, media keys, notifications, proxies, and mpris support.

%prep
%autosetup -p1

# brp-python-bytecompile always runs (probably because we install to datadir)
# so lets just not do it twice...
/usr/bin/sed -e 's/^compile_dir.*$//' -i meson_post_install.py

%install
%meson
%meson_install

# Remove Unity specific icons
rm -rf %{buildroot}%{_datadir}/icons/ubuntu*

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml

%files
%doc README.md
%license license
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/appdata/%{appid}.appdata.xml
%{_datadir}/dbus-1/services/%{appid}.service
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}*.png
%{_datadir}/icons/hicolor/scalable/apps/%{appid}*.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{appid}*.svg
%{_mandir}/man1/%{name}.1.gz

